Passa al contenuto principale

GET /custom_fields

List the custom fields of your account, in the order they appear in your settings. Use these labels as the keys of custom_fields when creating or updating a contact, and use type and options to pick a valid value.

Optional Parameters​

ParameterTypeDescription
pageIntegerThe page of custom fields. Each page holds up to 100 custom fields. If not specified it will default to page 1.

Example Request​

curl -X GET "https://api.callbell.eu/v1/custom_fields" \
-H "Authorization: Bearer test_gshuPaZoeEG6ovbc8M79w0QyM" \
-H "Content-Type: application/json"

Response​

ParameterTypeDescription
customFieldsCustomField[]A list of custom fields.
meta.pagenumberThe current page.
meta.pagesnumberThe total number of pages.
meta.totalnumberThe total number of custom fields.

Example Response​

response.json
{
"customFields": [
{
"label": "billing address",
"type": "text",
"options": null,
"position": 1
},
{
"label": "stage",
"type": "dropdown",
"options": ["New", "Qualified", "Won"],
"position": 2
}
],
"meta": {
"page": 1,
"pages": 1,
"total": 2
}
}